package de.cliffbreak.varo.listeners;

import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerLoginEvent;
import org.bukkit.event.player.PlayerLoginEvent.Result;

import de.cliffbreak.varo.Varo;

public class PlayerPreLoginListener implements Listener {

    private final Varo plugin;

    public PlayerPreLoginListener(final Varo plugin) {
        this.plugin = plugin;
    }

    @EventHandler
    public void onPlayerPreLogin(final PlayerLoginEvent e) {
        if (plugin.banUtils.isBanned(e.getPlayer().getUniqueId())) {
            e.disallow(Result.KICK_BANNED, "§4Du bist gestorben.\n \n§cDamit bist du aus §eVaro§c ausgeschieden.");
        }
    }
}